Class(Achievements, SimObject);

function Achievements::init(%this)
{

%this.position = "0 0";
%this.size = "1024 768";
%this.relativePosition = "0 0";

%this.background = g_Achievements_background;
%this.Objects["background"] = g_Achievements_background;
%this.Objects[0] = g_Achievements_background;



%this.achievementsText = g_Achievements_achievementsText;
%this.Objects["achievementsText"] = g_Achievements_achievementsText;
%this.Objects[1] = g_Achievements_achievementsText;



%this.Back = g_Achievements_Back;
%this.Objects["Back"] = g_Achievements_Back;
%this.Objects[2] = g_Achievements_Back;



%this.BackBtnText = g_Achievements_BackBtnText;
%this.Objects["BackBtnText"] = g_Achievements_BackBtnText;
%this.Objects[3] = g_Achievements_BackBtnText;



%this.ac10starsmall = g_Achievements_ac10starsmall;
%this.Objects["ac10starsmall"] = g_Achievements_ac10starsmall;
%this.Objects[4] = g_Achievements_ac10starsmall;



%this.ac8starsstore = g_Achievements_ac8starsstore;
%this.Objects["ac8starsstore"] = g_Achievements_ac8starsstore;
%this.Objects[5] = g_Achievements_ac8starsstore;



%this.ac9starsstore = g_Achievements_ac9starsstore;
%this.Objects["ac9starsstore"] = g_Achievements_ac9starsstore;
%this.Objects[6] = g_Achievements_ac9starsstore;



%this.ac10starsstore = g_Achievements_ac10starsstore;
%this.Objects["ac10starsstore"] = g_Achievements_ac10starsstore;
%this.Objects[7] = g_Achievements_ac10starsstore;



%this.acAllachievements = g_Achievements_acAllachievements;
%this.Objects["acAllachievements"] = g_Achievements_acAllachievements;
%this.Objects[8] = g_Achievements_acAllachievements;



%this.acAllrestaurants = g_Achievements_acAllrestaurants;
%this.Objects["acAllrestaurants"] = g_Achievements_acAllrestaurants;
%this.Objects[9] = g_Achievements_acAllrestaurants;



%this.acAllstores = g_Achievements_acAllstores;
%this.Objects["acAllstores"] = g_Achievements_acAllstores;
%this.Objects[10] = g_Achievements_acAllstores;



%this.acCleanB = g_Achievements_acCleanB;
%this.Objects["acCleanB"] = g_Achievements_acCleanB;
%this.Objects[11] = g_Achievements_acCleanB;



%this.acCleanG = g_Achievements_acCleanG;
%this.Objects["acCleanG"] = g_Achievements_acCleanG;
%this.Objects[12] = g_Achievements_acCleanG;



%this.acCleanS = g_Achievements_acCleanS;
%this.Objects["acCleanS"] = g_Achievements_acCleanS;
%this.Objects[13] = g_Achievements_acCleanS;



%this.acAllcustomersinmallB = g_Achievements_acAllcustomersinmallB;
%this.Objects["acAllcustomersinmallB"] = g_Achievements_acAllcustomersinmallB;
%this.Objects[14] = g_Achievements_acAllcustomersinmallB;



%this.acAllcustomersinmallG = g_Achievements_acAllcustomersinmallG;
%this.Objects["acAllcustomersinmallG"] = g_Achievements_acAllcustomersinmallG;
%this.Objects[15] = g_Achievements_acAllcustomersinmallG;



%this.acAllcustomersinmallS = g_Achievements_acAllcustomersinmallS;
%this.Objects["acAllcustomersinmallS"] = g_Achievements_acAllcustomersinmallS;
%this.Objects[16] = g_Achievements_acAllcustomersinmallS;



%this.acCustomersservedB = g_Achievements_acCustomersservedB;
%this.Objects["acCustomersservedB"] = g_Achievements_acCustomersservedB;
%this.Objects[17] = g_Achievements_acCustomersservedB;



%this.acCustomersservedG = g_Achievements_acCustomersservedG;
%this.Objects["acCustomersservedG"] = g_Achievements_acCustomersservedG;
%this.Objects[18] = g_Achievements_acCustomersservedG;



%this.acCustomersservedS = g_Achievements_acCustomersservedS;
%this.Objects["acCustomersservedS"] = g_Achievements_acCustomersservedS;
%this.Objects[19] = g_Achievements_acCustomersservedS;



%this.acProeficientB = g_Achievements_acProeficientB;
%this.Objects["acProeficientB"] = g_Achievements_acProeficientB;
%this.Objects[20] = g_Achievements_acProeficientB;



%this.acProeficientG = g_Achievements_acProeficientG;
%this.Objects["acProeficientG"] = g_Achievements_acProeficientG;
%this.Objects[21] = g_Achievements_acProeficientG;



%this.acProeficientS = g_Achievements_acProeficientS;
%this.Objects["acProeficientS"] = g_Achievements_acProeficientS;
%this.Objects[22] = g_Achievements_acProeficientS;



%this.acSandboxmode = g_Achievements_acSandboxmode;
%this.Objects["acSandboxmode"] = g_Achievements_acSandboxmode;
%this.Objects[23] = g_Achievements_acSandboxmode;



%this.acTimedmode = g_Achievements_acTimedmode;
%this.Objects["acTimedmode"] = g_Achievements_acTimedmode;
%this.Objects[24] = g_Achievements_acTimedmode;



%this.acExpert = g_Achievements_acExpert;
%this.Objects["acExpert"] = g_Achievements_acExpert;
%this.Objects[25] = g_Achievements_acExpert;



%this.Description = g_Achievements_Description;
%this.Objects["Description"] = g_Achievements_Description;
%this.Objects[26] = g_Achievements_Description;



%this.DataBlock = "";
%this.DataBlockType = "";

g_MallLayouts.Achievements = %this;
g_MallLayouts.Objects["Achievements"] = %this;

%this.NumberObjects = "27";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements::finalize(%this)
{
}

function Achievements::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements(g_Achievements)
{
};


Class(Achievements_background, SimObject);

function Achievements_background::init(%this)
{

%this.position = "0 0";
%this.size = "1024 768";
%this.relativePosition = "0 0";

%this.DataBlock = "images/Menus/Achievements/ach_bg.jpg";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_background::finalize(%this)
{
}

function Achievements_background::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_background(g_Achievements_background)
{
};


Class(Achievements_achievementsText, SimObject);

function Achievements_achievementsText::init(%this)
{

%this.position = "431 0";
%this.size = "213 32";
%this.relativePosition = "431 0";

%this.DataBlock = Menus_Fonts_Tahoma20;
%this.DataBlockType = "FONT";


%this.NumberObjects = "0";
%this.Text = "texts.hud.AchievementsScreen.Title";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_achievementsText::finalize(%this)
{
}

function Achievements_achievementsText::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_achievementsText(g_Achievements_achievementsText)
{
};


Class(Achievements_Back, SimObject);

function Achievements_Back::init(%this)
{

%this.position = "440 701";
%this.size = "148 55";
%this.relativePosition = "440 701";

%this.DataBlock = Menus_Achievements_basebot;
%this.DataBlockType = "BITMAPBUTTON";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_Back::finalize(%this)
{
}

function Achievements_Back::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_Back(g_Achievements_Back)
{
};


Class(Achievements_BackBtnText, SimObject);

function Achievements_BackBtnText::init(%this)
{

%this.position = "440 701";
%this.size = "148 55";
%this.relativePosition = "440 701";

%this.DataBlock = Menus_Fonts_Tahoma20;
%this.DataBlockType = "FONT";


%this.NumberObjects = "0";
%this.Text = "texts.Progress.Buttons.Menu";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_BackBtnText::finalize(%this)
{
}

function Achievements_BackBtnText::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_BackBtnText(g_Achievements_BackBtnText)
{
};


Class(Achievements_ac10starsmall, SimObject);

function Achievements_ac10starsmall::init(%this)
{

%this.position = "92 327";
%this.size = "105 156";
%this.relativePosition = "92 327";

%this.DataBlock = "images/Menus/Achievements/ach_10starsmall.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_ac10starsmall::finalize(%this)
{
}

function Achievements_ac10starsmall::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_ac10starsmall(g_Achievements_ac10starsmall)
{
};


Class(Achievements_ac8starsstore, SimObject);

function Achievements_ac8starsstore::init(%this)
{

%this.position = "94 154";
%this.size = "76 143";
%this.relativePosition = "94 154";

%this.DataBlock = "images/Menus/Achievements/ach_8starsstore.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_ac8starsstore::finalize(%this)
{
}

function Achievements_ac8starsstore::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_ac8starsstore(g_Achievements_ac8starsstore)
{
};


Class(Achievements_ac9starsstore, SimObject);

function Achievements_ac9starsstore::init(%this)
{

%this.position = "166 152";
%this.size = "77 149";
%this.relativePosition = "166 152";

%this.DataBlock = "images/Menus/Achievements/ach_9starsstore.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_ac9starsstore::finalize(%this)
{
}

function Achievements_ac9starsstore::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_ac9starsstore(g_Achievements_ac9starsstore)
{
};


Class(Achievements_ac10starsstore, SimObject);

function Achievements_ac10starsstore::init(%this)
{

%this.position = "233 152";
%this.size = "83 150";
%this.relativePosition = "233 152";

%this.DataBlock = "images/Menus/Achievements/ach10starsstore.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_ac10starsstore::finalize(%this)
{
}

function Achievements_ac10starsstore::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_ac10starsstore(g_Achievements_ac10starsstore)
{
};


Class(Achievements_acAllachievements, SimObject);

function Achievements_acAllachievements::init(%this)
{

%this.position = "378 301";
%this.size = "273 338";
%this.relativePosition = "378 301";

%this.DataBlock = "images/Menus/Achievements/ach_allachiev.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acAllachievements::finalize(%this)
{
}

function Achievements_acAllachievements::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acAllachievements(g_Achievements_acAllachievements)
{
};


Class(Achievements_acAllrestaurants, SimObject);

function Achievements_acAllrestaurants::init(%this)
{

%this.position = "194 300";
%this.size = "90 181";
%this.relativePosition = "194 300";

%this.DataBlock = "images/Menus/Achievements/ach_allrestaurants.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acAllrestaurants::finalize(%this)
{
}

function Achievements_acAllrestaurants::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acAllrestaurants(g_Achievements_acAllrestaurants)
{
};


Class(Achievements_acAllstores, SimObject);

function Achievements_acAllstores::init(%this)
{

%this.position = "282 331";
%this.size = "92 148";
%this.relativePosition = "282 331";

%this.DataBlock = "images/Menus/Achievements/ach_allstores.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acAllstores::finalize(%this)
{
}

function Achievements_acAllstores::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acAllstores(g_Achievements_acAllstores)
{
};


Class(Achievements_acCleanB, SimObject);

function Achievements_acCleanB::init(%this)
{

%this.position = "838 306";
%this.size = "75 177";
%this.relativePosition = "838 306";

%this.DataBlock = "images/Menus/Achievements/ach_cleanB.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acCleanB::finalize(%this)
{
}

function Achievements_acCleanB::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acCleanB(g_Achievements_acCleanB)
{
};


Class(Achievements_acCleanG, SimObject);

function Achievements_acCleanG::init(%this)
{

%this.position = "682 305";
%this.size = "78 177";
%this.relativePosition = "682 305";

%this.DataBlock = "images/Menus/Achievements/ach_cleanG.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acCleanG::finalize(%this)
{
}

function Achievements_acCleanG::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acCleanG(g_Achievements_acCleanG)
{
};


Class(Achievements_acCleanS, SimObject);

function Achievements_acCleanS::init(%this)
{

%this.position = "762 305";
%this.size = "75 178";
%this.relativePosition = "762 305";

%this.DataBlock = "images/Menus/Achievements/ach_cleanS.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acCleanS::finalize(%this)
{
}

function Achievements_acCleanS::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acCleanS(g_Achievements_acCleanS)
{
};


Class(Achievements_acAllcustomersinmallB, SimObject);

function Achievements_acAllcustomersinmallB::init(%this)
{

%this.position = "105 505";
%this.size = "99 131";
%this.relativePosition = "105 505";

%this.DataBlock = "images/Menus/Achievements/ach_custominmallB.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acAllcustomersinmallB::finalize(%this)
{
}

function Achievements_acAllcustomersinmallB::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acAllcustomersinmallB(g_Achievements_acAllcustomersinmallB)
{
};


Class(Achievements_acAllcustomersinmallG, SimObject);

function Achievements_acAllcustomersinmallG::init(%this)
{

%this.position = "276 507";
%this.size = "99 131";
%this.relativePosition = "276 507";

%this.DataBlock = "images/Menus/Achievements/ach_custominmallG.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acAllcustomersinmallG::finalize(%this)
{
}

function Achievements_acAllcustomersinmallG::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acAllcustomersinmallG(g_Achievements_acAllcustomersinmallG)
{
};


Class(Achievements_acAllcustomersinmallS, SimObject);

function Achievements_acAllcustomersinmallS::init(%this)
{

%this.position = "192 507";
%this.size = "92 130";
%this.relativePosition = "192 507";

%this.DataBlock = "images/Menus/Achievements/ach_custominmallS.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acAllcustomersinmallS::finalize(%this)
{
}

function Achievements_acAllcustomersinmallS::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acAllcustomersinmallS(g_Achievements_acAllcustomersinmallS)
{
};


Class(Achievements_acCustomersservedB, SimObject);

function Achievements_acCustomersservedB::init(%this)
{

%this.position = "857 151";
%this.size = "64 152";
%this.relativePosition = "857 151";

%this.DataBlock = "images/Menus/Achievements/ach_custservedB.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acCustomersservedB::finalize(%this)
{
}

function Achievements_acCustomersservedB::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acCustomersservedB(g_Achievements_acCustomersservedB)
{
};


Class(Achievements_acCustomersservedG, SimObject);

function Achievements_acCustomersservedG::init(%this)
{

%this.position = "712 150";
%this.size = "65 151";
%this.relativePosition = "712 150";

%this.DataBlock = "images/Menus/Achievements/ach_custservedG.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acCustomersservedG::finalize(%this)
{
}

function Achievements_acCustomersservedG::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acCustomersservedG(g_Achievements_acCustomersservedG)
{
};


Class(Achievements_acCustomersservedS, SimObject);

function Achievements_acCustomersservedS::init(%this)
{

%this.position = "784 151";
%this.size = "64 152";
%this.relativePosition = "784 151";

%this.DataBlock = "images/Menus/Achievements/ach_custservedS.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acCustomersservedS::finalize(%this)
{
}

function Achievements_acCustomersservedS::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acCustomersservedS(g_Achievements_acCustomersservedS)
{
};


Class(Achievements_acProeficientB, SimObject);

function Achievements_acProeficientB::init(%this)
{

%this.position = "826 500";
%this.size = "80 139";
%this.relativePosition = "826 500";

%this.DataBlock = "images/Menus/Achievements/ach_proeficientB.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acProeficientB::finalize(%this)
{
}

function Achievements_acProeficientB::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acProeficientB(g_Achievements_acProeficientB)
{
};


Class(Achievements_acProeficientG, SimObject);

function Achievements_acProeficientG::init(%this)
{

%this.position = "671 501";
%this.size = "78 137";
%this.relativePosition = "671 501";

%this.DataBlock = "images/Menus/Achievements/ach_proeficientG.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acProeficientG::finalize(%this)
{
}

function Achievements_acProeficientG::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acProeficientG(g_Achievements_acProeficientG)
{
};


Class(Achievements_acProeficientS, SimObject);

function Achievements_acProeficientS::init(%this)
{

%this.position = "747 501";
%this.size = "80 136";
%this.relativePosition = "747 501";

%this.DataBlock = "images/Menus/Achievements/ach_proeficientS.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acProeficientS::finalize(%this)
{
}

function Achievements_acProeficientS::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acProeficientS(g_Achievements_acProeficientS)
{
};


Class(Achievements_acSandboxmode, SimObject);

function Achievements_acSandboxmode::init(%this)
{

%this.position = "530 119";
%this.size = "176 189";
%this.relativePosition = "530 119";

%this.DataBlock = "images/Menus/Achievements/ach_sandboxmode.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acSandboxmode::finalize(%this)
{
}

function Achievements_acSandboxmode::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acSandboxmode(g_Achievements_acSandboxmode)
{
};


Class(Achievements_acTimedmode, SimObject);

function Achievements_acTimedmode::init(%this)
{

%this.position = "332 84";
%this.size = "117 220";
%this.relativePosition = "332 84";

%this.DataBlock = "images/Menus/Achievements/ach_timedmode.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acTimedmode::finalize(%this)
{
}

function Achievements_acTimedmode::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acTimedmode(g_Achievements_acTimedmode)
{
};


Class(Achievements_acExpert, SimObject);

function Achievements_acExpert::init(%this)
{

%this.position = "448 131";
%this.size = "92 175";
%this.relativePosition = "448 131";

%this.DataBlock = "images/Menus/Achievements/ach_allexpert.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "0";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_acExpert::finalize(%this)
{
}

function Achievements_acExpert::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_acExpert(g_Achievements_acExpert)
{
};


Class(Achievements_Description, SimObject);

function Achievements_Description::init(%this)
{

%this.position = "0 0";
%this.size = "210 63";
%this.relativePosition = "0 0";

%this.txt = g_Achievements_Description_txt;
%this.Objects["txt"] = g_Achievements_Description_txt;
%this.Objects[0] = g_Achievements_Description_txt;



%this.DataBlock = "images/Menus/Achievements/tooltipBlue.png";
%this.DataBlockType = "BITMAP";


%this.NumberObjects = "1";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "-1";

}

function Achievements_Description::finalize(%this)
{
}

function Achievements_Description::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_Description(g_Achievements_Description)
{
};


Class(Achievements_Description_txt, SimObject);

function Achievements_Description_txt::init(%this)
{

%this.position = "10 5";
%this.size = "190 53";
%this.relativePosition = "10 5";

%this.DataBlock = Menus_Fonts_Futura16;
%this.DataBlockType = "FONT";


%this.NumberObjects = "0";
%this.Text = "texts.hud.AchievementsScreen.storeStars10";
%this.Visible = "true";
%this.Active = "true";
%this.Style = "";
%this.Layer = "0";

}

function Achievements_Description_txt::finalize(%this)
{
}

function Achievements_Description_txt::GetObject(%this, %name) 
{
   return %this.Objects[%name];
}

// The instance of the object
new Achievements_Description_txt(g_Achievements_Description_txt)
{
};


